%define nam	grustibus
%define ver	0.43

%define	prefix		/usr
%define sysconfdir	/etc
%define localstatedir	/var/lib

Release:	1

Summary:	A Gnome frontend for M.A.M.E.
Name:     	%nam
Version: 	%ver
Copyright:	GPL
Distribution:	Red Hat Linux 6.x
Group:		Applications/Emulators
URL:		http://grustibus.sourceforge.net/
Source:		http://download.sourceforge.net/gRustibus/grustibus-%{ver}.tar.gz
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:		%{prefix}/doc

%description 
A frontend for the M.A.M.E. arcade emulator designed to run under the GNOME
desktop environment. Supported games are listed along with various information
about the game, including its status (installed, missing, incorrect etc).
Screenshots, flyer images and cabinet photos for the games can be shown. It
lets you configure your games using the gui.           

%prep
%setup -q

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir} --without-bonobo
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir}
# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README TODO BUGS

%{prefix}/bin/*
%{prefix}/share/gnome/apps/*
%{prefix}/share/pixmaps/*
%{prefix}/share/locale/*
%{sysconfdir}/gnome/config/gRustibus.d/*

