/*
 * mameio.h -- Function prototypes for mameio.c
 *
 * gRustibus (c) 2000-2001 Kjetil Thuen <kjetilt@users.sourceforge.net>
 * MAME frontend for the GNOME desktop environment.
 *
 * gRustibus is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * This code is indented with GNU indent using k&r style with 8 character
 * indents as suggested by the GNOME project. Please keep it that way.
 * ($ indent -kr -ts8 -i8 *.[ch])
 *
 * Last modified: 17 July 2000 <kjetilt@users.sourceforge.net>
 *
 */

#include <gnome.h>

void create_list(void);
void real_start_game(const gchar * game, RomEntry * romentry);
void playback_game(const gchar * file, const gchar * game, RomEntry * romentry);
void record_game(const gchar * file, const gchar * game, RomEntry * romentry);
gboolean check_xmame_exe(void);

// vim: ai sw=8 ts=8
